com.google.cloud.dataflow.sdk.transforms

## Class CombineFns.ComposeKeyedCombineFnBuilder

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.CombineFns.ComposeKeyedCombineFnBuilder

Enclosing class:
  CombineFns

    public static class CombineFns.ComposeKeyedCombineFnBuilder
    extends Object

A builder class to construct a composed `CombineFnBase.PerKeyCombineFn`.

### Constructor Summary

Constructors
Constructor and Description
`ComposeKeyedCombineFnBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFn<DataT,K>` `with(SimpleFunction<DataT,InputT> extractInputFn, Combine.CombineFn<InputT,?,OutputT> combineFn, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedKeyedCombineFn` that can take additional `PerKeyCombineFns` and apply them as a single combine function.
`<K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFn<DataT,K>` `with(SimpleFunction<DataT,InputT> extractInputFn, Combine.KeyedCombineFn<K,InputT,?,OutputT> keyedCombineFn, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedKeyedCombineFn` that can take additional `PerKeyCombineFns` and apply them as a single combine function.
`<K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFnWithContext<DataT,K>` `with(SimpleFunction<DataT,InputT> extractInputFn, CombineWithContext.CombineFnWithContext<InputT,?,OutputT> combineFnWithContext, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedKeyedCombineFnWithContext` that can take additional `PerKeyCombineFns` and apply them as a single combine function.
`<K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFnWithContext<DataT,K>` `with(SimpleFunction<DataT,InputT> extractInputFn, CombineWithContext.KeyedCombineFnWithContext<K,InputT,?,OutputT> keyedCombineFnWithContext, TupleTag<OutputT> outputTag)` Returns a `CombineFns.ComposedKeyedCombineFnWithContext` that can take additional `PerKeyCombineFns` and apply them as a single combine function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComposeKeyedCombineFnBuilder

    public ComposeKeyedCombineFnBuilder()

### Method Detail

#### with

    public <K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFn<DataT,K> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                                    Combine.KeyedCombineFn<K,InputT,?,OutputT> keyedCombineFn,
                                                                                    TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedKeyedCombineFn` that can take additional `PerKeyCombineFns` and apply them as a single combine function.

The `CombineFns.ComposedKeyedCombineFn` extracts inputs from `DataT` with the `extractInputFn` and combines them with the `keyedCombineFn`, and then it outputs each combined value with a `TupleTag` to a `CombineFns.CoCombineResult`.

#### with

    public <K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFnWithContext<DataT,K> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                                               CombineWithContext.KeyedCombineFnWithContext<K,InputT,?,OutputT> keyedCombineFnWithContext,
                                                                                               TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedKeyedCombineFnWithContext` that can take additional `PerKeyCombineFns` and apply them as a single combine function.

The `CombineFns.ComposedKeyedCombineFnWithContext` extracts inputs from `DataT` with the `extractInputFn` and combines them with the `keyedCombineFnWithContext`, and then it outputs each combined value with a `TupleTag` to a `CombineFns.CoCombineResult`.

#### with

    public <K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFn<DataT,K> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                                    Combine.CombineFn<InputT,?,OutputT> combineFn,
                                                                                    TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedKeyedCombineFn` that can take additional `PerKeyCombineFns` and apply them as a single combine function.

#### with

    public <K,DataT,InputT,OutputT> CombineFns.ComposedKeyedCombineFnWithContext<DataT,K> with(SimpleFunction<DataT,InputT> extractInputFn,
                                                                                               CombineWithContext.CombineFnWithContext<InputT,?,OutputT> combineFnWithContext,
                                                                                               TupleTag<OutputT> outputTag)

Returns a `CombineFns.ComposedKeyedCombineFnWithContext` that can take additional `PerKeyCombineFns` and apply them as a single combine function.